<?php

require_once 'Upgrade.php';

use ComPixelCMS\MenuItem;
use ComPixelCMS\Upgrade;

class upgrade_3_24_0 extends Upgrade
{
    public function run()
    {
        $globalParams = $this->getParams();

        $globalParams->set('pixelcms_images_thumb_size', 500);
        $globalParams->set('pixelcms_images_preview_size', 1600);

        if ($this->saveParams()) {
            $this->msg('Bild Einstellungen auf Standard gesetzt.', 'success');
        } else {
            $this->msg("Fehler beim Speichern der konfiguration", 'error');
        }
    }
}
